Subject: Re: -mno-cygwin
From: Christopher Faylor <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Tue, 4 Sep 2001 20:54:10 -0400

On Tue, Sep 04, 2001 at 07:54:04PM -0700, Mike Bresnahan wrote:
>I am trying to compile and link an application with the Cygwin tools that
>does not depend on cygwin1.dll by passing -mno-cygwin to gcc, however the
>resulting executable is linked to cygwin1.dll.  Below is a log that
>illustrates the problem.
>
>-- begin --
>/usr/local/src/no-cygwin-bug: make
>gcc -c -I/usr/local/src/mingw32/gcc-2.95.2/include/g++-3 -mno-cygwin main.cc
>gcc -I/usr/local/src/mingw32/gcc-2.95.2/include/g++-3 -mno-cygwin
>main.o -L/usr/local/src/mingw32/gcc-2.95.2/lib/gcc-lib/i386-mingw32msvc/2.95
>.2 -lstdc++ -lm  -o main
             ^^^
Do not link with this.  A 'ls -l /usr/lib/libm.a' will probably show you why.

>/usr/local/src/no-cygwin-bug: cygcheck.exe main.exe
>Found: .\main.exe
>.\main.exe
>  C:\cygwin\bin\cygwin1.dll
>    C:\WINNT\System32\KERNEL32.dll
>      C:\WINNT\System32\NTDLL.DLL
>  C:\WINNT\System32\msvcrt.dll
>
>Use -h to see help about each section
>-- end --
>
>Additionally, the resulting executable when executed goes into a endless
>loop before entering main().
>
>Note that I have downloaded mingw32 and am pointing at its headers and
>libraries, because cygwin is missing the ANSI C++ headers and libraries.

I don't know what this means.  Cygwin comes with a complete set of headers
and libraries and it also includes fairly recent mingw headers and libraries,
with the exception of libstdc++.a.

cgf

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/